"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("util");
/**
 * Basic set of fns to add colors to console output in Node.
 *
 * Options:
 *
 * bold, italic, underline, inverse,
 * white, grey, black, blue, cyan, green, magenta, red, yellow
 * @example
 * console.log(colorize.bold(colorize.blue('foo'))) // => '\'\\u001b[34mfoo\\u001b[39m\''
 */
var cols = function (color, text) {
    var codes = util_1.inspect.colors[color];
    return "\u001B[" + codes[0] + "m" + text + "\u001B[" + codes[1] + "m";
};
var colorize = function () {
    var val = {};
    Object.keys(util_1.inspect.colors).forEach(function (color) {
        val[color] = function (text) { return cols(color, text); };
    });
    return val;
};
exports.default = colorize();
