"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var os_1 = require("os");
var env = (typeof process !== 'undefined' && process.env) || {};
/**
 * Get current user's home directory
 * @example
 * getUserHome() // => /home/z
 */
var getUserHome = function () {
    return env.HOME ||
        env.USERPROFILE ||
        os_1.homedir() ||
        (env.HOMEDRIVE && env.HOMEPATH && env.HOMEDRIVE + env.HOMEPATH) ||
        '';
};
exports.default = getUserHome;
