"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var mv = function (oldPath, newPath, cb) {
    fs.rename(oldPath, newPath, function (err) {
        if (err) {
            if (err.code && err.code === 'EXDEV') {
                var readStream = fs.createReadStream(oldPath);
                var writeStream = fs.createWriteStream(newPath);
                readStream.on('error', cb);
                writeStream.on('error', cb);
                readStream.on('close', function () {
                    fs.unlink(oldPath, cb);
                });
                readStream.pipe(writeStream);
            }
            else {
                cb(err);
            }
            return;
        }
        cb();
    });
};
exports.default = mv;
