"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
/**
 * Read json file, parse it, call cb with obj or err
 * @example
 * readJson('./foo.json', (err, data) => {})
 */
var readJson = function (file, cb) {
    fs_1.readFile(file, 'utf8', function (err, json) {
        if (err) {
            cb(err);
            return;
        }
        var data;
        try {
            data = JSON.parse(json);
        }
        catch (e) {
            cb(e);
            return;
        }
        cb(null, data);
    });
};
exports.default = readJson;
