"use strict";
/**
 * `decodeURI`, but safe
 * @example
 * safeDecodeURI('2!!!!0/,.?+=*^\n|\@@@@') // => '2!!!!0/,.?+=*^\n|@@@@'
 */
Object.defineProperty(exports, "__esModule", { value: true });
var safeDecodeURI = function (str) {
    try {
        return decodeURI(str);
    }
    catch (_) {
        return str;
    }
};
exports.default = safeDecodeURI;
