"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
/**
 * Make a file if it doesn't exist already
 * @example
 * touch('foo.txt')
 * touch('foo.txt', 'contentx')
 */
var touch = function (filePath, contents) {
    if (contents === void 0) { contents = ''; }
    var fl = path_1.resolve(filePath);
    try {
        fs_1.statSync(fl);
    }
    catch (_) {
        fs_1.writeFileSync(fl, contents);
    }
};
exports.default = touch;
