"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
/**
 * Watch a file for changes, and call the function
 * @example
 * watch('./foo', console.log)
 */
var watchFile = function (filePath, cb) {
    var file = path_1.resolve(filePath);
    try {
        fs_1.watch(file, {}, cb);
        console.log('watching', file);
    }
    catch (e) {
        if (e.errno === 'ENOENT') {
            console.error('Error, no such file', file);
        }
        else {
            console.error(e);
        }
    }
};
exports.default = watchFile;
